Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1168561 - allow liveinst to follow http redirects when downloading updates.img
allow liveinst to follow http redirects when downloading updates.img
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: F21FinalFreezeException
  Show dependency treegraph
 
Reported: 2014-11-27 05:09 EST by Kamil Páral
Modified: 2014-12-04 22:26 EST (History)
7 users (show)

See Also:
Fixed In Version: anaconda-21.48.21-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-04 22:26:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2014-11-27 05:09:20 EST
Description of problem:
We have found the problem in bug 1165714 comment 17. It took us quite some time to figure out, that fedorapeople redirects everything to https with this http redirect:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>302 Found</title>
</head><body>
<h1>Found</h1>
<p>The document has moved <a href="https://vpodzime.fedorapeople.org/1165714_updates.img">here</a>.</p>
<hr>
<address>Apache/2.2.15 Server at vpodzime.fedorapeople.org Port 80</address>
</body></html>

Unfortunately, liveinst calls curl with default options, which does not follow http redirects. On the other hand, dracut handles http redirects, and therefore such an updates.img works with Server images, even when it doesn't work with Workstation images.

The fix in liveinst is really simple. Replace this line:

curl -o /tmp/updates.img $UPDATES

with this line:

curl -L -o /tmp/updates.img $UPDATES

The change should be very safe. This a request for a freeze exception.

Version-Release number of selected component (if applicable):
anaconda 21.48.16-1

How reproducible:
always

Steps to Reproduce:
1. try to run liveinst --updates=http://vpodzime.fedorapeople.org/1165714_updates.img
2. see an error (if you're perceptive, otherwise you simply don't know it was not applied)
3. ponder about it
4. maybe finally realize you need to use https, probably not
Comment 1 Kamil Páral 2014-11-27 05:10:17 EST
+1 FE here
Comment 2 Jaroslav Reznik 2014-11-27 05:12:01 EST
+1 FE
Comment 3 Vratislav Podzimek 2014-11-27 05:19:34 EST
+1 FE (non-invasive change fixing an easy-to-hit issue)
Comment 4 Kamil Páral 2014-11-27 05:23:36 EST
Accepted as a FE.
Comment 5 Fedora Update System 2014-11-27 12:22:28 EST
anaconda-21.48.18-1.fc21,python-blivet-0.61.12-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/anaconda-21.48.18-1.fc21,python-blivet-0.61.12-1.fc21
Comment 6 Fedora Update System 2014-11-27 18:59:25 EST
pyparted-3.10.2-1.fc21, python-blivet-0.61.12-1.fc21, anaconda-21.48.18-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2014-15910/pyparted-3.10.2-1.fc21,python-blivet-0.61.12-1.fc21,anaconda-21.48.18-1.fc21
Comment 7 Fedora Update System 2014-11-29 15:59:19 EST
Package pyparted-3.10.2-1.fc21, python-blivet-0.61.12-1.fc21, anaconda-21.48.18-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyparted-3.10.2-1.fc21 python-blivet-0.61.12-1.fc21 anaconda-21.48.18-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15910/pyparted-3.10.2-1.fc21,python-blivet-0.61.12-1.fc21,anaconda-21.48.18-1.fc21
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-12-01 20:04:12 EST
Package pyparted-3.10.2-1.fc21, python-blivet-0.61.12-1.fc21, anaconda-21.48.20-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyparted-3.10.2-1.fc21 python-blivet-0.61.12-1.fc21 anaconda-21.48.20-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15910/pyparted-3.10.2-1.fc21,python-blivet-0.61.12-1.fc21,anaconda-21.48.20-1.fc21
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-12-03 01:06:00 EST
Package python-blivet-0.61.12-1.fc21, anaconda-21.48.21-1.fc21, pyparted-3.9.5-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.61.12-1.fc21 anaconda-21.48.21-1.fc21 pyparted-3.9.5-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15910/anaconda-21.48.21-1.fc21,pyparted-3.9.5-3.fc21,python-blivet-0.61.12-1.fc21
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-12-04 22:26:39 EST
anaconda-21.48.21-1.fc21, python-blivet-0.61.13-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.